List your organization's App Audits, newest first, with status and score (free).
curl --request GET \
--url https://api.appgoat.ai/v1/audits \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/audits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/audits"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"slug": "<string>",
"url": "<string>",
"status": "queued",
"store": "apple",
"app_id": "<string>",
"country": "<string>",
"mode": "full",
"title": "<string>",
"icon_url": "<string>",
"score": 123,
"white_label": true,
"brand_name": "<string>",
"label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}Audits
List audits
GET
/
audits
List your organization's App Audits, newest first, with status and score (free).
curl --request GET \
--url https://api.appgoat.ai/v1/audits \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/audits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/audits"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"slug": "<string>",
"url": "<string>",
"status": "queued",
"store": "apple",
"app_id": "<string>",
"country": "<string>",
"mode": "full",
"title": "<string>",
"icon_url": "<string>",
"score": 123,
"white_label": true,
"brand_name": "<string>",
"label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Query Parameters
Required range:
1 <= x <= 100meta.next_cursor from the previous page.